diff -r f40675df5d4c trytond/modules/account/account.py
--- a/trytond/modules/account/account.py	Fri Sep 21 15:57:18 2012 +0200
+++ b/trytond/modules/account/account.py	Mon Sep 24 20:36:38 2012 +0200
@@ -15,11 +15,21 @@
 from trytond.config import CONFIG
 from trytond.backend import TableHandler
 
+__all__ = ['TypeTemplate', 'Type', 'OpenType', 'AccountTemplate', 'Account',
+    'AccountDeferral', 'OpenChartAccountStart', 'OpenChartAccount',
+    'PrintGeneralLegderStart', 'PrintGeneralLegder', 'GeneralLegder',
+    'PrintTrialBalanceStart', 'PrintTrialBalance', 'TrialBalance',
+    'OpenBalanceSheetStart', 'OpenBalanceSheet',
+    'OpenIncomeStatementStart', 'OpenIncomeStatement',
+    'CreateChartStart', 'CreateChartAccount', 'CreateChartProperties',
+    'CreateChart', 'UpdateChartStart', 'UpdateChartSucceed', 'UpdateChart',
+    'OpenThirdPartyBalanceStart', 'OpenThirdPartyBalance', 'ThirdPartyBalance',
+    'OpenAgedBalanceStart', 'OpenAgedBalance', 'AgedBalance']
+
 
 class TypeTemplate(ModelSQL, ModelView):
     'Account Type Template'
-    _name = 'account.account.type.template'
-    _description = __doc__
+    __name__ = 'account.account.type.template'
     name = fields.Char('Name', required=True, translate=True)
     parent = fields.Many2One('account.account.type.template', 'Parent',
             ondelete="RESTRICT")
@@ -35,137 +45,117 @@
         ('credit-debit', 'Credit - Debit'),
         ], 'Display Balance', required=True)
 
-    def __init__(self):
-        super(TypeTemplate, self).__init__()
-        self._constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(TypeTemplate, cls).__setup__()
+        cls._constraints += [
             ('check_recursion', 'recursive_types'),
         ]
-        self._error_messages.update({
+        cls._error_messages.update({
             'recursive_types': 'You can not create recursive types!',
         })
-        self._order.insert(0, ('sequence', 'ASC'))
+        cls._order.insert(0, ('sequence', 'ASC'))
 
-    def init(self, module_name):
+    @classmethod
+    def __register__(cls, module_name):
         cursor = Transaction().cursor
-        table = TableHandler(cursor, self, module_name)
+        table = TableHandler(cursor, cls, module_name)
 
-        super(TypeTemplate, self).init(module_name)
+        super(TypeTemplate, cls).__register__(module_name)
 
         # Migration from 2.4: drop required on sequence
         table.not_null_action('sequence', action='remove')
 
-    def default_balance_sheet(self):
+    @staticmethod
+    def default_balance_sheet():
         return False
 
-    def default_income_statement(self):
+    @staticmethod
+    def default_income_statement():
         return False
 
-    def default_display_balance(self):
+    @staticmethod
+    def default_display_balance():
         return 'debit-credit'
 
-    def get_rec_name(self, ids, name):
-        if not ids:
-            return {}
+    def get_rec_name(self, name):
+        if self.parent:
+            return self.parent.get_rec_name(name) + '\\' + self.name
+        else:
+            return self.name
+
+    def _get_type_value(self, type=None):
+        '''
+        Set the values for account creation.
+        '''
         res = {}
-
-        def _name(type):
-            if type.parent:
-                return _name(type.parent) + '\\' + type.name
-            else:
-                return type.name
-        for type in self.browse(ids):
-            res[type.id] = _name(type)
+        if not type or type.name != self.name:
+            res['name'] = self.name
+        if not type or type.sequence != self.sequence:
+            res['sequence'] = self.sequence
+        if not type or type.balance_sheet != self.balance_sheet:
+            res['balance_sheet'] = self.balance_sheet
+        if not type or type.income_statement != self.income_statement:
+            res['income_statement'] = self.income_statement
+        if not type or type.display_balance != self.display_balance:
+            res['display_balance'] = self.display_balance
+        if not type or type.template.id != self.id:
+            res['template'] = self.id
         return res
 
-    def _get_type_value(self, template, type=None):
-        '''
-        Set the values for account creation.
-
-        :param template: the BrowseRecord of the template
-        :param type: the BrowseRecord of the type to update
-        :return: a dictionary with account fields as key and values as value
-        '''
-        res = {}
-        if not type or type.name != template.name:
-            res['name'] = template.name
-        if not type or type.sequence != template.sequence:
-            res['sequence'] = template.sequence
-        if not type or type.balance_sheet != template.balance_sheet:
-            res['balance_sheet'] = template.balance_sheet
-        if not type or type.income_statement != template.income_statement:
-            res['income_statement'] = template.income_statement
-        if not type or type.display_balance != template.display_balance:
-            res['display_balance'] = template.display_balance
-        if not type or type.template.id != template.id:
-            res['template'] = template.id
-        return res
-
-    def create_type(self, template, company_id, template2type=None,
-            parent_id=None):
+    def create_type(self, company_id, template2type=None, parent_id=None):
         '''
         Create recursively types based on template.
-
-        :param template: the template id or the BrowseRecord of the template
-                used for type creation
-        :param company_id: the id of the company for which types are created
-        :param template2type: a dictionary with template id as key
-                and type id as value, used to convert template id
-                into type. The dictionary is filled with new types
-        :param parent_id: the type id of the parent of the types that must
-                be created
-        :return: id of the type created
+        template2type is a dictionary with template id as key and type id as
+        value, used to convert template id into type. The dictionary is filled
+        with new types.
+        Return the id of the type created
         '''
-        type_obj = Pool().get('account.account.type')
-        lang_obj = Pool().get('ir.lang')
+        pool = Pool()
+        Type = pool.get('account.account.type')
+        Lang = pool.get('ir.lang')
 
         if template2type is None:
             template2type = {}
 
-        if isinstance(template, (int, long)):
-            template = self.browse(template)
-
-        if template.id not in template2type:
-            vals = self._get_type_value(template)
+        if self.id not in template2type:
+            vals = self._get_type_value()
             vals['company'] = company_id
             vals['parent'] = parent_id
 
-            new_id = type_obj.create(vals)
+            new_type = Type.create(vals)
 
-            prev_lang = template._context.get('language') or CONFIG['language']
+            prev_lang = self._context.get('language') or CONFIG['language']
             prev_data = {}
-            for field_name, field in template._columns.iteritems():
+            for field_name, field in self._fields.iteritems():
                 if getattr(field, 'translate', False):
-                    prev_data[field_name] = template[field_name]
-            for lang in lang_obj.get_translatable_languages():
+                    prev_data[field_name] = getattr(self, field_name)
+            for lang in Lang.get_translatable_languages():
                 if lang == prev_lang:
                     continue
-                template.setLang(lang)
-                data = {}
-                for field_name, field in template._columns.iteritems():
-                    if getattr(field, 'translate', False) \
-                            and template[field_name] != prev_data[field_name]:
-                        data[field_name] = template[field_name]
-                if data:
-                    with Transaction().set_context(language=lang):
-                        type_obj.write(new_id, data)
-            template.setLang(prev_lang)
-            template2type[template.id] = new_id
-        else:
-            new_id = template2type[template.id]
+                with Transaction().set_context(language=lang):
+                    template = self.__class__(self.id)
+                    data = {}
+                    for field_name, field in template._fields.iteritems():
+                        if (getattr(field, 'translate', False)
+                                and (getattr(template, field_name) !=
+                                    prev_data[field_name])):
+                            data[field_name] = getattr(template, field_name)
+                    if data:
+                        Type.write([new_type], data)
+            template2type[self.id] = new_type.id
+        new_id = template2type[self.id]
 
         new_childs = []
-        for child in template.childs:
-            new_childs.append(self.create_type(child, company_id,
+        for child in self.childs:
+            new_childs.append(child.create_type(company_id,
                 template2type=template2type, parent_id=new_id))
         return new_id
 
-TypeTemplate()
-
 
 class Type(ModelSQL, ModelView):
     'Account Type'
-    _name = 'account.account.type'
-    _description = __doc__
+    __name__ = 'account.account.type'
     name = fields.Char('Name', size=None, required=True, translate=True)
     parent = fields.Many2One('account.account.type', 'Parent',
         ondelete="RESTRICT", domain=[
@@ -194,154 +184,139 @@
             ondelete="RESTRICT")
     template = fields.Many2One('account.account.type.template', 'Template')
 
-    def __init__(self):
-        super(Type, self).__init__()
-        self._constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(Type, cls).__setup__()
+        cls._constraints += [
             ('check_recursion', 'recursive_types'),
         ]
-        self._error_messages.update({
+        cls._error_messages.update({
             'recursive_types': 'You can not create recursive types!',
         })
-        self._order.insert(0, ('sequence', 'ASC'))
+        cls._order.insert(0, ('sequence', 'ASC'))
 
-    def init(self, module_name):
+    @classmethod
+    def __register__(cls, module_name):
         cursor = Transaction().cursor
-        table = TableHandler(cursor, self, module_name)
+        table = TableHandler(cursor, cls, module_name)
 
-        super(Type, self).init(module_name)
+        super(Type, cls).__register__(module_name)
 
         # Migration from 2.4: drop required on sequence
         table.not_null_action('sequence', action='remove')
 
-    def default_balance_sheet(self):
+    @staticmethod
+    def default_balance_sheet():
         return False
 
-    def default_income_statement(self):
+    @staticmethod
+    def default_income_statement():
         return False
 
-    def default_display_balance(self):
+    @staticmethod
+    def default_display_balance():
         return 'debit-credit'
 
-    def get_currency_digits(self, ids, name):
+    def get_currency_digits(self, name):
+        return self.company.currency.digits
+
+    @classmethod
+    def get_amount(cls, types, name):
+        pool = Pool()
+        Account = pool.get('account.account')
+
         res = {}
-        for type in self.browse(ids):
-            res[type.id] = type.company.currency.digits
+        for type_ in types:
+            res[type_.id] = Decimal('0.0')
+
+        childs = cls.search([
+                ('parent', 'child_of', [t.id for t in types]),
+                ])
+        type_sum = {}
+        for type_ in childs:
+            type_sum[type_.id] = Decimal('0.0')
+
+        accounts = Account.search([
+                ('type', 'in', [t.id for t in childs]),
+                ])
+        for account in accounts:
+            type_sum[account.type.id] += account.company.currency.round(
+                account.debit - account.credit)
+
+        for type_ in types:
+            childs = cls.search([
+                    ('parent', 'child_of', [type_.id]),
+                    ])
+            for child in childs:
+                res[type_.id] += type_sum[child.id]
+            res[type_.id] = type_.company.currency.round(res[type_.id])
+            if type_.display_balance == 'credit-debit':
+                res[type_.id] = - res[type_.id]
         return res
 
-    def get_amount(self, ids, name):
-        account_obj = Pool().get('account.account')
-        currency_obj = Pool().get('currency.currency')
+    def get_rec_name(self, name):
+        if self.parent:
+            return self.parent.get_rec_name(name) + '\\' + self.name
+        else:
+            return self.name
 
-        res = {}
-        for type_id in ids:
-            res[type_id] = Decimal('0.0')
+    @classmethod
+    def delete(cls, types):
+        types = cls.search([
+                ('parent', 'child_of', [t.id for t in types]),
+                ])
+        super(Type, cls).delete(types)
 
-        child_ids = self.search([
-            ('parent', 'child_of', ids),
-            ])
-        type_sum = {}
-        for type_id in child_ids:
-            type_sum[type_id] = Decimal('0.0')
-
-        account_ids = account_obj.search([
-            ('type', 'in', child_ids),
-            ])
-        for account in account_obj.browse(account_ids):
-            type_sum[account.type.id] += currency_obj.round(
-                    account.company.currency, account.debit - account.credit)
-
-        types = self.browse(ids)
-        for type in types:
-            child_ids = self.search([
-                ('parent', 'child_of', [type.id]),
-                ])
-            for child_id in child_ids:
-                res[type.id] += type_sum[child_id]
-            res[type.id] = currency_obj.round(type.company.currency,
-                    res[type.id])
-            if type.display_balance == 'credit-debit':
-                res[type.id] = - res[type.id]
-        return res
-
-    def get_rec_name(self, ids, name):
-        if not ids:
-            return {}
-        res = {}
-
-        def _name(type):
-            if type.parent:
-                return _name(type.parent) + '\\' + type.name
-            else:
-                return type.name
-        for type in self.browse(ids):
-            res[type.id] = _name(type)
-        return res
-
-    def delete(self, ids):
-        if isinstance(ids, (int, long)):
-            ids = [ids]
-        type_ids = self.search([
-            ('parent', 'child_of', ids),
-            ])
-        return super(Type, self).delete(type_ids)
-
-    def update_type(self, type, template2type=None):
+    def update_type(self, template2type=None):
         '''
         Update recursively types based on template.
-
-        :param type: a type id or the BrowseRecord of the type
-        :param template2type: a dictionary with template id as key
-                and type id as value, used to convert template id
-                into type. The dictionary is filled with new types
+        template2type is a dictionary with template id as key and type id as
+        value, used to convert template id into type. The dictionary is filled
+        with new types
         '''
-        template_obj = Pool().get('account.account.type.template')
-        lang_obj = Pool().get('ir.lang')
+        Lang = Pool().get('ir.lang')
 
         if template2type is None:
             template2type = {}
 
-        if isinstance(type, (int, long)):
-            type = self.browse(type)
+        if self.template:
+            vals = self.template._get_type_value(type=self)
+            if vals:
+                self.write([self], vals)
 
-        if type.template:
-            vals = template_obj._get_type_value(type.template, type=type)
-            if vals:
-                self.write(type.id, vals)
-
-            prev_lang = type._context.get('language') or CONFIG['language']
+            prev_lang = self._context.get('language') or CONFIG['language']
             prev_data = {}
-            for field_name, field in type.template._columns.iteritems():
+            for field_name, field in self.template._fields.iteritems():
                 if getattr(field, 'translate', False):
-                    prev_data[field_name] = type.template[field_name]
-            for lang in lang_obj.get_translatable_languages():
+                    prev_data[field_name] = getattr(self.template, field_name)
+            for lang in Lang.get_translatable_languages():
                 if lang == prev_lang:
                     continue
-                type.setLang(lang)
-                data = {}
-                for field_name, field in type.template._columns.iteritems():
-                    if (getattr(field, 'translate', False)
-                            and type.template[field_name] !=
-                            prev_data[field_name]):
-                        data[field_name] = type.template[field_name]
-                if data:
-                    with Transaction().set_context(language=lang):
-                        self.write(type.id, data)
-            type.setLang(prev_lang)
-            template2type[type.template.id] = type.id
+                with Transaction().set_context(language=lang):
+                    type_ = self.__class__(self.id)
+                    data = {}
+                    for field_name, field in (
+                            type_.template._fields.iteritems()):
+                        if (getattr(field, 'translate', False)
+                                and (getattr(type_.template, field_name) !=
+                                    prev_data[field_name])):
+                            data[field_name] = getattr(type_.template,
+                                field_name)
+                    if data:
+                        self.write([type_], data)
+            template2type[self.template.id] = self.id
 
-        for child in type.childs:
-            self.update_type(child, template2type=template2type)
-
-Type()
+        for child in self.childs:
+            child.update_type(template2type=template2type)
 
 
 class OpenType(Wizard):
     'Open Type'
-    _name = 'account.account.open_type'
+    __name__ = 'account.account.open_type'
     start_state = 'open_'
     open_ = StateAction('account.act_account_list2')
 
-    def do_open_(self, session, action):
+    def do_open_(self, action):
         action['pyson_domain'] = PYSONEncoder().encode([
                 ('type', '=', Transaction().context['active_id']),
                 ])
@@ -351,14 +326,10 @@
                 })
         return action, {}
 
-OpenType()
-
 
 class AccountTemplate(ModelSQL, ModelView):
     'Account Template'
-    _name = 'account.account.template'
-    _description = __doc__
-
+    __name__ = 'account.account.template'
     name = fields.Char('Name', size=None, required=True, translate=True,
             select=True)
     code = fields.Char('Code', size=None, select=True)
@@ -388,89 +359,78 @@
             'invisible': Eval('kind') == 'view',
             }, depends=['kind'])
 
-    def __init__(self):
-        super(AccountTemplate, self).__init__()
-        self._constraints += [
+    @classmethod
+    def __setup__(cls):
+        super(AccountTemplate, cls).__setup__()
+        cls._constraints += [
             ('check_recursion', 'recursive_accounts'),
         ]
-        self._error_messages.update({
+        cls._error_messages.update({
             'recursive_accounts': 'You can not create recursive accounts!',
         })
-        self._order.insert(0, ('code', 'ASC'))
-        self._order.insert(1, ('name', 'ASC'))
+        cls._order.insert(0, ('code', 'ASC'))
+        cls._order.insert(1, ('name', 'ASC'))
 
-    def default_kind(self):
+    @staticmethod
+    def default_kind():
         return 'view'
 
-    def default_reconcile(self):
+    @staticmethod
+    def default_reconcile():
         return False
 
-    def default_deferral(self):
+    @staticmethod
+    def default_deferral():
         return True
 
-    def get_rec_name(self, ids, name):
-        if not ids:
-            return {}
+    def get_rec_name(self, name):
+        if self.code:
+            return self.code + ' - ' + self.name
+        else:
+            return self.name
+
+    @classmethod
+    def search_rec_name(cls, name, clause):
+        templates = cls.search([
+                ('code',) + clause[1:],
+                ], limit=1)
+        if templates:
+            return [('code',) + clause[1:]]
+        return [(cls._rec_name,) + clause[1:]]
+
+    def _get_account_value(self, account=None):
+        '''
+        Set the values for account creation.
+        '''
         res = {}
-        for template in self.browse(ids):
-            if template.code:
-                res[template.id] = template.code + ' - ' + template.name
-            else:
-                res[template.id] = template.name
+        if not account or account.name != self.name:
+            res['name'] = self.name
+        if not account or account.code != self.code:
+            res['code'] = self.code
+        if not account or account.kind != self.kind:
+            res['kind'] = self.kind
+        if not account or account.reconcile != self.reconcile:
+            res['reconcile'] = self.reconcile
+        if not account or account.deferral != self.deferral:
+            res['deferral'] = self.deferral
+        if not account or account.template.id != self.id:
+            res['template'] = self.id
         return res
 
-    def search_rec_name(self, name, clause):
-        ids = self.search([
-            ('code',) + clause[1:],
-            ], limit=1)
-        if ids:
-            return [('code',) + clause[1:]]
-        return [(self._rec_name,) + clause[1:]]
-
-    def _get_account_value(self, template, account=None):
-        '''
-        Set the values for account creation.
-
-        :param template: the BrowseRecord of the template
-        :param account: the BrowseRecord of the account to update
-        :return: a dictionary with account fields as key and values as value
-        '''
-        res = {}
-        if not account or account.name != template.name:
-            res['name'] = template.name
-        if not account or account.code != template.code:
-            res['code'] = template.code
-        if not account or account.kind != template.kind:
-            res['kind'] = template.kind
-        if not account or account.reconcile != template.reconcile:
-            res['reconcile'] = template.reconcile
-        if not account or account.deferral != template.deferral:
-            res['deferral'] = template.deferral
-        if not account or account.template.id != template.id:
-            res['template'] = template.id
-        return res
-
-    def create_account(self, template, company_id, template2account=None,
+    def create_account(self, company_id, template2account=None,
             template2type=None, parent_id=None):
         '''
         Create recursively accounts based on template.
-
-        :param template: the template id or the BrowseRecord of template
-                used for account creation
-        :param company_id: the id of the company for which accounts
-                are created
-        :param template2account: a dictionary with template id as key
-                and account id as value, used to convert template id
-                into account. The dictionary is filled with new accounts
-        :param template2type: a dictionary with type template id as key
-                and type id as value, used to convert type template id
-                into type.
-        :param parent_id: the account id of the parent of the accounts
-                that must be created
-        :return: id of the account created
+        template2account is a dictionary with template id as key and account id
+        as value, used to convert template id into account. The dictionary is
+        filled with new accounts
+        template2type is a dictionary with type template id as key and type id
+        as value, used to convert type template id into type.
+        Return the id of the account created
         '''
-        account_obj = Pool().get('account.account')
-        lang_obj = Pool().get('ir.lang')
+        pool = Pool()
+        Account = pool.get('account.account')
+        Lang = pool.get('ir.lang')
 
         if template2account is None:
             template2account = {}
@@ -478,63 +438,54 @@
         if template2type is None:
             template2type = {}
 
-        if isinstance(template, (int, long)):
-            template = self.browse(template)
-
-        if template.id not in template2account:
-            vals = self._get_account_value(template)
+        if self.id not in template2account:
+            vals = self._get_account_value()
             vals['company'] = company_id
             vals['parent'] = parent_id
-            vals['type'] = template2type.get(template.type.id)
+            vals['type'] = template2type.get(self.type.id)
 
-            new_id = account_obj.create(vals)
+            new_account = Account.create(vals)
 
-            prev_lang = template._context.get('language') or CONFIG['language']
+            prev_lang = self._context.get('language') or CONFIG['language']
             prev_data = {}
-            for field_name, field in template._columns.iteritems():
+            for field_name, field in self._fields.iteritems():
                 if getattr(field, 'translate', False):
-                    prev_data[field_name] = template[field_name]
-            for lang in lang_obj.get_translatable_languages():
+                    prev_data[field_name] = getattr(self, field_name)
+            for lang in Lang.get_translatable_languages():
                 if lang == prev_lang:
                     continue
-                template.setLang(lang)
-                data = {}
-                for field_name, field in template._columns.iteritems():
-                    if getattr(field, 'translate', False) \
-                            and template[field_name] != prev_data[field_name]:
-                        data[field_name] = template[field_name]
-                if data:
-                    with Transaction().set_context(language=lang):
-                        account_obj.write(new_id, data)
-            template.setLang(prev_lang)
-            template2account[template.id] = new_id
-        else:
-            new_id = template2account[template.id]
+                with Transaction().set_context(language=lang):
+                    template = self.__class__(self.id)
+                    data = {}
+                    for field_name, field in self._fields.iteritems():
+                        if (getattr(field, 'translate', False) \
+                                and (getattr(template, field_name) !=
+                                    prev_data[field_name])):
+                            data[field_name] = getattr(template, field_name)
+                    if data:
+                        Account.write([new_account], data)
+            template2account[self.id] = new_account.id
+        new_id = template2account[self.id]
 
         new_childs = []
-        for child in template.childs:
-            new_childs.append(self.create_account(child, company_id,
+        for child in self.childs:
+            new_childs.append(child.create_account(company_id,
                 template2account=template2account, template2type=template2type,
                 parent_id=new_id))
         return new_id
 
-    def update_account_taxes(self, template, template2account, template2tax,
+    def update_account_taxes(self, template2account, template2tax,
             template_done=None):
         '''
         Update recursively account taxes based on template.
-
-        :param template: the template id or the BrowseRecord of template
-            used for account creation
-        :param template2account: a dictionary with template id as key
-            and account id as value, used to convert template id into
-            account.
-        :param template2tax: a dictionary with tax template id as key
-            and tax id as value, used to convert tax template id into
-            tax.
-        :param template_done: a list of template id already updated.
-            The list is filled.
+        template2account is a dictionary with template id as key and account id
+        as value, used to convert template id into account.
+        template2tax is a dictionary with tax template id as key and tax id as
+        value, used to convert tax template id into tax.
+        template_done is a list of template id already updated. The list is
+        filled.
         '''
-        account_obj = Pool().get('account.account')
+        Account = Pool().get('account.account')
 
         if template2account is None:
             template2account = {}
@@ -543,29 +494,22 @@
         if template_done is None:
             template_done = []
 
-        if isinstance(template, (int, long)):
-            template = self.browse(template)
+        if self.id not in template_done:
+            if self.taxes:
+                Account.write([Account(template2account[self.id])], {
+                        'taxes': [
+                            ('add', template2tax[x.id]) for x in self.taxes],
+                        })
+            template_done.append(self.id)
 
-        if template.id not in template_done:
-            if template.taxes:
-                account_obj.write(template2account[template.id], {
-                    'taxes': [
-                        ('add', template2tax[x.id]) for x in template.taxes],
-                    })
-            template_done.append(template.id)
-
-        for child in template.childs:
-            self.update_account_taxes(child, template2account, template2tax,
-                    template_done=template_done)
-
-AccountTemplate()
+        for child in self.childs:
+            child.update_account_taxes(template2account, template2tax,
+                template_done=template_done)
 
 
 class Account(ModelSQL, ModelView):
     'Account'
-    _name = 'account.account'
-    _description = __doc__
-
+    __name__ = 'account.account'
     name = fields.Char('Name', size=None, required=True, translate=True,
             select=True)
     code = fields.Char('Code', size=None, select=True)
